clear all
close all
offset = [-0.6:0.1:0.6];
pm_m0dB = [0.0093 0.0087 0.0085 0.0087 0.0086 0.0072 0.0071 0.0082 0.0075 0.0086 0.0087 0.0093 0.0104];


pm_sim_average0dB = 0.0083; %from mkq0_update.m at threshold = 23.07
dev_0dB = abs(pm_m0dB(find(offset==0))-pm_sim_average0dB)/pm_sim_average0dB*100
%semilogy(offset, pm_m,'*', offset, repmat(pm_anal,1, length(offset)),'*k:', offset, repmat(pm_av,1, length(offset)),'r-', offset, repmat(pm_sim_average,1, length(offset)),'+r-')
semilogy(offset, pm_m0dB,'k+', offset, repmat(pm_sim_average0dB,1, length(offset)),'k:');hold on;

th3dB = [41.93 41.8 42.35 41.5 42.6 42.2 41.95 41.8 41.8 42.102 41.77 43.317 42.5];
pm_m3dB = [0.1277 0.1189 0.1251 0.1016 0.1174 0.1051 0.0983 0.0969 0.1018 0.1125 0.1117 0.1538 0.1390];

pm_sim_average3dB = 0.1076; %from mkqn3_update.m at threshold = 36.3
semilogy(offset, pm_m3dB,'k+', offset, repmat(pm_sim_average3dB,1, length(offset)),'k:')
dev_3dB = abs(pm_m3dB(find(offset==0))-pm_sim_average3dB)/pm_sim_average3dB*100

axis([-0.7 0.7 1e-4 1e0])
legend('P(Y_{1|\epsilon}\leq T)','expectation')
%title('Pf = 2e-4')
xlabel('\epsilon')
ylabel('P_m')
hold off
%Font Times New Roman with Size = 8